
ChiliProject - Bug # 267:  /issues/changes?format=atom is returning 500 Internal Error

Status: Closed Priority: Normal
Author: Robert Chady Category: Issue tracking
Created: 2011-03-07 Assignee: Felix Schäfer
Updated: 2011-03-19 Due date:
Remote issue URL:
Affected version:
Description: The RSS feed for /issues/changes?format=atom stopped working a couple weeks ago now.  It used to work, 

but after some changes on the site it started to return a 500 internal Error.  

Associated revisions
2011-03-07 07:44 pm - Felix SchaÌˆfer 
Add the custom_fields helper to JournalsController #267

History
2011-03-07 06:31 pm - Felix Schäfer
- Target version set to 1.2.0

- Assignee set to Felix Schäfer

The interesting part of the log:

<pre>ActionView::TemplateError (undefined method `format_value' for #<ActionView::Base:0xd5be200>) on line #23 of app/views/journals/index.rxml:
20:       xml.content "type" => "html" do
21:         xml.text! '<ul>'
22:         change.details.each do |detail|
23:           xml.text! '<li>' + show_detail(detail, false) + '</li>'
24:         end
25:         xml.text! '</ul>'
26:         xml.text! textilizable(change, :notes, :only_path => false) unless change.notes.blank?</pre>

I guess some helper is missing, I'll have a look real quick.

2011-03-07 06:46 pm - Felix Schäfer
- Assignee deleted (Felix Schäfer)

- Status changed from Open to Ready for review

Felix SchÃ¤fer wrote:
> I guess some helper is missing.

Bingo, the journals controller is missing the @helper :custom_fields@. I've committed the change in 
commit:c8e584e894955779924a3328b844e3a44923e44f.

2011-03-07 06:49 pm - Holger Just
I discussed this with Yuki yesterday. The bug occurs because the @journals_controller@ doesn't include the @CustomFieldHelper@, which is required 
because of source:app/helpers/issues_helper.rb#L143. The solution would be to either include the helper in the journls controller, or to include the 
helper into the issues helper. I would prefer the latter.

In the future, this isn't even necessary, as the journals controller is killed by #123.
2011-03-07 07:00 pm - Eric Davis
I proposed we add all helper to ApplicationController so these bugs never happen again.

Discussion: https://www.chiliproject.org/boards/2/topics/121

2011-03-19 12:14 am - Eric Davis
- Assignee set to Felix Schäfer

- Category changed from chiliproject.org Website to Issue tracking

- Status changed from Ready for review to Closed

Felix merged this into master already.
